TYPO3.Flow - Bug # 37220

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Package

Created: 2012-05-16 Assigned To: Karsten Dambekalns
Updated: 2012-05-30 Due date:

PHP Version:

Has patch: No

Complexity:

Affected Flow version: Git 1.1

Subject: PackageStates.php uses absolute paths

Description

Using absolute paths in the PackageStates.php causes problems in a chroot environment where the absolute path is different in CLI

then in the HTTPD process.

Also relative paths allow to put PackageStates.php under version control to maintain a specific state even when paths differ on

development and production systems.

Related issues:

related to TYPOS.Flow - Bug # 33719: .Shortcuts symlinks use absolute path

Closed 2012-02-06

Associated revisions

Revision 1a688df6 - 2012-05-29 11:08 - Rens Admiraal

[BUGFIX] Save relative package path in PackageStates.php

Using absolute paths in the PackageStates.php causes problems in a
chroot environment where the absolute path is different in CLI then
in the HTTPD process.

Also relative paths allow to put PackageStates.php under version
control to maintain a specific state even when paths differ

on development and production systems.

Change-Id: lac40024eee98182f67385f452ade2e 1f2afed82d
Fixes: #37220

Related: #33719

Releases: 1.1, 1.2

Revision 531178a2 - 2012-05-30 11:11 - Rens Admiraal

[BUGFIX] Save relative package path in PackageStates.php

Using absolute paths in the PackageStates.php causes problems in a

chroot environment where the absolute path is different in CLI then

in the HTTPD process.

Also relative paths allow to put PackageStates.php under version

control to maintain a specific state even when paths differ
on development and production systems.

2015-08-03

1/2




Change-Id: lac40024eee98182{67385f452ade2e 1f2afed82d
Fixes: #37220

Related: #33719

Releases: 1.1, 1.2

History

#1 - 2012-05-16 15:04 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.

It is available at http://review.typo3.org/11235

#2 - 2012-05-16 15:05 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/11236

#3 - 2012-05-29 11:08 - Gerrit Code Review

Patch set 2 for branch FLOW3-1.1 has been pushed to the review server.

It is available at http://review.typo3.org/11235

#4 - 2012-05-30 11:12 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11721

#5 - 2012-05-30 11:39 - Rens Admiraal
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:1a688df60b1b57077cdc1fdedbae245eae088dba.
